Skip to main content
POST
/
v1
/
files
!pip install vlmrun

from vlmrun.client import VLMRun
from pathlib import Path

client = VLMRun(api_key="<VLMRUN_API_KEY>")

# Upload the file to the object store
response = client.files.upload(file=Path("test.pdf"))
{
  "filename": "<string>",
  "bytes": 123,
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "object": "file",
  "public_url": "<string>"
}
!pip install vlmrun

from vlmrun.client import VLMRun
from pathlib import Path

client = VLMRun(api_key="<VLMRUN_API_KEY>")

# Upload the file to the object store
response = client.files.upload(file=Path("test.pdf"))

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

purpose
enum<string>
default:assistants
Available options:
assistants,
batch,
fine-tune,
vision,
datasets
generate_public_url
boolean
default:true

Whether to generate a public URL for the uploaded file

Body

multipart/form-data
file
string
required

Response

Successful Response

Response to the file upload API.

filename
string | null
required

Name of the file

bytes
integer
required

Size of the file in bytes

purpose
enum<string>
required

Purpose of the file

Available options:
assistants,
batch,
fine-tune,
vision,
datasets
id
string | null

Unique identifier of the file

created_at
string<date-time>

Date and time when the file was created (in UTC timezone)

object
string
default:file

Type of the file

Allowed value: "file"
public_url
string | null

Presigned URL of the file